using Godot;

namespace Newlon.Systems.Effects;

public abstract partial class Effect : Resource
{
    [Export] public float Duration;
    [Export] public string Slot;
    public abstract void Enter(Node target);
    public abstract void Process(Node target);
    public abstract void Exit(Node target);
}
